/* Sobrescribimos la estructura profunda de MudSelect de forma global */

/*Modifica colores de estado al Listar Órdenes*/
.estado-1.mud-button-root,
.estado-1 .mud-button-label {
    color: #1b5e20 !important;
    font-weight: 900 !important;
}

.estado-2.mud-button-root,
.estado-2 .mud-button-label {
    color: #e65100 !important;
    font-weight: 900 !important;
}

.estado-3.mud-button-root,
.estado-3 .mud-button-label {
    color: #5b5b5b !important;
    font-weight: 900 !important;
}

.estado-4.mud-button-root,
.estado-4 .mud-button-label {
    color: #0d47a1 !important;
    font-weight: 900 !important;
}

.estado-5.mud-button-root,
.estado-5 .mud-button-label {
    color: #b71c1c !important;
    font-weight: 900 !important;
}

.ar-0.mud-button-root,
.ar-0 .mud-button-label {
    color: #f33a2c !important;
    font-weight: 900 !important;
}

.ar-1.mud-button-root,
.ar-1 .mud-button-label {
    color: #e88934 !important;
    font-weight: 900 !important;
}

.ar-2.mud-button-root,
.ar-2 .mud-button-label {
    color: #ee60b3 !important;
    font-weight: 900 !important;
}

.ar-3.mud-button-root,
.ar-3 .mud-button-label {
    color: #5b5bbb !important;
    font-weight: 900 !important;
}

/* Estilos base para la pantalla y la impresión */
.print-container {
    font-family: Arial, sans-serif;
    font-size: 14px;
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    color: black;
}

.text-center {
    text-align: center;
}

.bold {
    font-weight: bold;
}

.mb-4 {
    margin-bottom: 20px;
}

.header-info {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
    margin-bottom: 30px;
}

.bordered-table {
    width: 100%;
    border-collapse: collapse;
}

    .bordered-table th, .bordered-table td {
        border: 1px solid black;
        padding: 8px;
        text-align: left;
    }

.clinica-table th, .clinica-table td {
    text-align: center;
}

.cut-line {
    text-align: center;
    margin: 0px 0;
    color: #555;
    font-size: 14px;
}
    .cut-line hr {
        border: none;
        border-top: 1px dotted black;
        margin-top: 0px;
    }

/* Reglas específicas para cuando se mande a la impresora / PDF */
@media print {
    body {
        background: white;
        margin: 0;
        padding: 0;
    }
    /* Ocultar el menú de navegación de Blazor al imprimir */
    .mud-layout {
        display: none !important;
    }

    .print-container {
        padding: 0;
        max-width: 100%;
    }
}

/* Para agregar numeración a las tablas*/
/*Inicializa el contador cada vez que se crea el cuerpo de la tabla */
.tabla-numerada tbody {
    counter-reset: fila-num;
}

/*Incrementa el contador y muestra el número en la celda */
.celda-numero::before {
    counter-increment: fila-num;
    content: counter(fila-num);
    font-weight: bold; /* Opcional: para que resalte un poco */
}
